<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    app:layout_behavior="@string/appbar_scrolling_view_behavior"
    tools:context="cpm.com.gskmtorange.dailyentry.AuditActivity"
    tools:showIn="@layout/activity_audit"
    android:background="@color/grey_background">

    <LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
        xmlns:app="http://schemas.android.com/apk/res-auto"
        xmlns:tools="http://schemas.android.com/tools"
        android:id="@+id/ll_recycler"
        android:name="com.cpm.fragment.QuizFragment"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/grey_background"
        android:orientation="vertical"
        tools:context="fragment.QuizFragment">

        <androidx.recyclerview.widget.RecyclerView xmlns:android="http://schemas.android.com/apk/res/android"
            xmlns:app="http://schemas.android.com/apk/res-auto"
            xmlns:tools="http://schemas.android.com/tools"
            android:id="@+id/list"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:clipToPadding="false"
            android:paddingBottom="55dp"
            android:layout_marginLeft="5dp"
            android:layout_marginRight="5dp" />

        <!--<androidx.recyclerview.widget.RecyclerView
            xmlns:android="http://schemas.android.com/apk/res/android"
            xmlns:app="http://schemas.android.com/apk/res-auto"
            xmlns:tools="http://schemas.android.com/tools"
            android:id="@+id/list"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="5dp"
            android:layout_marginRight="5dp" />-->

        <LinearLayout
            android:id="@+id/no_data_lay"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@color/grey_background"
            android:orientation="vertical"
            android:visibility="gone"
            android:weightSum="10">

            <androidx.cardview.widget.CardView xmlns:card_view="http://schemas.android.com/apk/res-auto"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_marginBottom="5dp"
                android:layout_marginLeft="5dp"
                android:layout_marginRight="5dp"
                android:layout_marginTop="5dp"
                android:layout_weight="1"
                card_view:cardBackgroundColor="@color/white"
                card_view:cardCornerRadius="5dp">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:gravity="center"
                    android:text="@string/NodataAvailable"
                    android:textSize="25sp"
                    android:textStyle="bold" />
            </androidx.cardview.widget.CardView>

            <View
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_weight="1" />

            <ImageView
                android:id="@+id/imageView3"
                android:layout_width="wrap_content"
                android:layout_height="0dp"
                android:layout_centerInParent="true"
                android:layout_marginLeft="5dp"
                android:layout_marginRight="5dp"
                android:layout_weight="4"
                android:background="@drawable/sad_cloud" />

            <View
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_weight="1" />

            <androidx.cardview.widget.CardView xmlns:card_view="http://schemas.android.com/apk/res-auto"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_marginBottom="5dp"
                android:layout_marginLeft="5dp"
                android:layout_marginRight="5dp"
                android:layout_marginTop="5dp"
                android:layout_weight="1"
                android:visibility="gone"
                card_view:cardBackgroundColor="@color/white"
                card_view:cardCornerRadius="5dp">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:gravity="center"
                    android:text="@string/Pleasedownaloaddata"
                    android:textSize="25sp"
                    android:textStyle="bold" />
            </androidx.cardview.widget.CardView>

        </LinearLayout>

    </LinearLayout>


</androidx.constraintlayout.widget.ConstraintLayout>
